Skip to main content
POST
getTokenLargestAccounts
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getTokenLargestAccounts",
  "params": [
    "he1iusmfkpAdwvxLNGV8Y1iSbj4rUy6yMhEA3fotn9A"
  ]
}
'
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": {
    "context": {
      "slot": 1114
    },
    "value": [
      {
        "address": "FYjHNoFtSQ5uijKrZFyYAxvEr87hsKXkXcxkcmkBAf4r",
        "amount": "771",
        "decimals": 2,
        "uiAmount": 7.71,
        "uiAmountString": "7.71"
      },
      {
        "address": "BnsywxTcaYeNUtzrPxQUvzAWxfzZe3ZLUJ4wMMuLESnu",
        "amount": "229",
        "decimals": 2,
        "uiAmount": 2.29,
        "uiAmountString": "2.29"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://helius-codex-token-transfer-filter-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Request Parameters

address
string
required
Solana token mint address to analyze for largest holder accounts and distribution patterns.
commitment
string
The commitment level for the request.
  • confirmed
  • finalized
  • processed

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string
default:1

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getTokenLargestAccounts

The name of the RPC method to invoke.

Available options:
getTokenLargestAccounts
Example:

"getTokenLargestAccounts"

params
(string | object)[]

Parameters for querying the largest token accounts for a specific mint.

Solana token mint address to analyze for largest holder accounts and distribution patterns.

Example:

"he1iusmfkpAdwvxLNGV8Y1iSbj4rUy6yMhEA3fotn9A"

Response

Successfully retrieved the largest token accounts.

jsonrpc
enum<string>

The JSON-RPC protocol version.

Available options:
2.0
Example:

"2.0"

id
string

Identifier matching the request.

Example:

"1"

result
object

Context and token account details.